package gui.simulator.facilities;

import java.io.Serializable;

import agenda.Stage;
import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;

public class SimulatorStage extends DrawEngine implements Serializable {

	private static Images.ImageType images = Images.ImageType.Tent;
	private static String facilityName = "Stage";
    private Stage stage;

    public SimulatorStage(int x, int y) {
        super(images, x, y, 1, 0,SimulatorPane.Objects.STAGE);
    }

    public SimulatorStage(int x, int y, double scale, double distance) {
        super(images, x, y, scale, distance,SimulatorPane.Objects.STAGE);
    }
    
    public String getFacilityName(){
    	return facilityName;
    }

    public void setStage(Stage stage) {
        this.stage = stage;
    }

    public Stage getStage() {
        return stage;
    }
}
